%define __kde4_alternate_placement 1

%define rname amarok
%ifdef __kde4_alternate_placement
Name: kde4-%rname
%else
Name: %rname
%endif
Version: 2.1.1
Release: alt0.M50.1

Summary: Amarok is a music player for KDE.
License: GPLv2
Group: Sound
Url: http://amarok.kde.org/

Requires: kde4libs >= %{get_version kde4libs}
Requires: qtscriptbindings libqt4-sql-sqlite

Source0: ftp://ftp.kde.org/pub/kde/stable/amarok/%version/src/%rname-%version.tar
Patch1: amarok-2.0.96-alt-sqlite-mysqlnoembed.patch
Patch2: amarok-2.0.90-alt-no-taglib-extras.patch
# RH
Patch50: amarok-2.0.90-qtscript_not_required.patch

# Automatically added by buildreq on Thu Dec 18 2008 (-bi)
#BuildRequires: gcc-c++ kde4base-runtime kde4libs-devel libMySQL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdmcp-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libbfd-devel libcurl-devel libgcrypt-devel libgio-devel libgpod-devel libgtk+2-common-devel libjpeg-devel libloudmouth-devel libmpeg4ip-devel libmtp-devel libsqlite3-devel libtag-devel libxkbfile-devel libxml2-devel nvidia_glx_177.82 rpm-build-ruby xorg-xf86vidmodeproto-devel
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ libMySQL-devel kde4base-runtime qtscriptbindings
BuildRequires: rpm-build-ruby
BuildRequires: xorg-devel
BuildRequires: libbfd-devel libcurl-devel libgcrypt-devel libgio-devel libgpod-devel libgtk+2-common-devel
BuildRequires: libjpeg-devel libloudmouth-devel libmpeg4ip-devel libmtp-devel >= 0.3
BuildRequires: libsqlite3-devel libtag-devel libxml2-devel
BuildRequires: libtunepimp-devel libusb-devel libvisual0.4-devel libSDL-devel
BuildRequires: glib2-devel libgtk+2-devel

%description
amaroK is an advanced audio player.
Excellent streaming support, audio effects, visualisations and smooth 
crossfading separate this player from existing KDE solutions. 
At the same time amaroK provides a very intuitive and quick user interface, 
with unparalleled playlist handling, optimized for very large playlists.
The built-in StreamBrowser makes finding web streams as easy as using a radio: 
you can pick your favorite program right inside of amaroK.

%description -l ru_RU.UTF-8
amaroK - передовой аудио плеер. Превосходная поддержка потокового воспроизведения, 
звуковые эффекты, визуализации. В то же самое время amaroK обеспечивает очень интуитивный
и быстрый пользовательский интерфейс. Плейлист оптимизирован для очень больших плейлистов.
Встроенный StreamBrowser делает обнаружение потоков в сети столь же легкими как и использование
радио: Вы можете выбрать и настроить их прямо в amaroK.

%package engine-xine
Summary: Xine engine for amaroK player
Group: Sound
Requires: %name = %version-%release
Provides: %name-engine

%description engine-xine
amarok-engine-xine is an engine for amaroK player.
It uses xine library for output sound stream.

%package engine-phonon
Summary: Phonon engine for amaroK player
Group: Sound
Requires: %name = %version-%release
Provides: %name-engine

%description engine-phonon
amarok-engine-phonon is an engine for amaroK player.
It uses Phonon for output sound stream.

%description engine-xine -l ru_RU.UTF-8
amarok-engine-xine - это движок для воспроизведения
звука для аудиоплеера amaroK. Он использует библиотеку
xine для вывода аудиопотока.

%package engine-gstreamer
Summary: GStreamer engine for amaroK player
Group: Sound
Provides: %name-engine
Requires: %name = %version-%release gst-plugins-alsa
Requires: gst-plugins-base-audio-filters gst-plugins-good-audio-formats gst-plugins-good-container-formats
Requires: gst-plugins-good-tags gst-plugins-lame gst-plugins-mad gst-plugins-ogg gst-plugins-vorbis

%description engine-gstreamer
amarok-engine-gstreamer is an engine for amaroK player.
It uses GStreamer for output sound stream.

%description engine-gstreamer -l ru_RU.UTF-8
amarok-engine-gstreamer - это движок для воспроизведения
звука для аудиоплеера amaroK. Он использует GStreamer
для вывода аудиопотока.

%package mediadevice-ipod
Summary: iPod plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-ipod
amarok-mediadevice-ipod is a plugin for Apple iPod
player

%description mediadevice-ipod -l ru_RU.UTF-8
amarok-mediadevice-ipod - плагин, использующийся для
взаимодействия с плеером iPod от Apple

%package mediadevice-generic
Summary: VFAT plugin for amaroK player
Group: Sound
Requires: %name = %version-%release
Provides: %name-mediadevice-vfat

%description mediadevice-generic
amarok-mediadevice-generic is a generic plugin for
various devices that uses VFAT filesystem

%description mediadevice-generic -l ru_RU.UTF-8
amarok-mediadevice-generic - плагин, используемый для работы
с различного рода медиаустройствами, поддерживающими
тип файловой системы VFAT

%package mediadevice-daap
Summary: DAAP (Digital Audio Access Protocol) plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-daap
amarok-mediadevice-daap is a plugin for interoperability
with various devices that uses Digital Audio Access
Protocol (DAAP)

%description mediadevice-daap -l ru_RU.UTF-8
amarok-mediadevice-daap - плагин для работы с различными
устройствами, использующими протокол Digital Audio Access
Protocol (DAAP)

%package mediadevice-mtp
Summary: MTP (Media Transfer Protocol) plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-mtp
amarok-mediadevice-daap is a plugin for interoperability
with various devices that uses Media Transfer Protocol (MTP)

%description mediadevice-mtp -l ru_RU.UTF-8
amarok-mediadevice-daap - плагин для работы с различными
устройствами, использующими протокол Media Transfer Protocol (MTP)

%prep
%setup -q -n %rname-%version
%patch1 -p1
%patch2 -p1
%patch50 -p1

%build
%K4cmake -DLIBVISUAL_FOUND:BOOL=TRUE
%K4make

%install
%K4install
mkdir -p %buildroot/%__kde4_bindir/
pushd %buildroot/%_K4datadir/bin/
ls -1 | \
while read b; do
    mv $b %buildroot/%__kde4_bindir/
done
popd
%K4find_lang %rname
%K4find_lang --append --output=%rname.lang amarokcollectionscanner_qt

%files -f %rname.lang
%doc AUTHORS ChangeLog README
%ifdef __kde4_alternate_placement
%__kde4_bindir/amarok
%__kde4_bindir/amarok_afttagger
%__kde4_bindir/amarokcollectionscanner
%__kde4_bindir/amarokmp3tunesharmonydaemon
%__kde4_xdg_apps/amarok.desktop
%__kde4_iconsdir/hicolor/*/apps/amarok.*
%else
%_K4bindir/amarok
%_K4bindir/amarok_afttagger
%_K4bindir/amarokcollectionscanner
%_K4bindir/amarokmp3tunesharmonydaemon
%_K4xdg_apps/amarok.desktop
%_K4iconsdir/hicolor/*/apps/amarok.*
%endif
%_K4apps/%rname/
%_K4libdir/libmediadevicelib.so.*
#%_K4libdir/libamarok_taglib.so.*
%_K4libdir/libamaroklib.so.*
#%_K4libdir/libamarokplasma.so.*
%_K4libdir/libamarokpud.so.*
%_K4libdir/strigi/*.so
%_libdir/libamarok_service_*.so
#
%_K4lib/amarok_containment_vertical.so
%_K4lib/amarok_context_applet_*.so
%_K4lib/amarok_data_engine_*.so
%_K4lib/amarok_service_*.so
%_K4lib/kcm_amarok_service_*.so
%_K4lib/libamarok_collection-sqlcollection.so
#%_K4lib/plugins/script/libqtscript_*.so
#
%_K4dbus_interfaces/*.MediaPlayer.*.xml
%_K4apps/desktoptheme/amarok-default.desktop
%_K4apps/desktoptheme/default/widgets/amarok-*.svg
%_K4apps/desktoptheme/Amarok-Mockup/
#
%_K4srv/ServiceMenus/amarok_append.desktop
%_K4srv/amarok.protocol
%_K4srv/amarok-containment-vertical.desktop
%_K4srv/amarok-context-applet-*.desktop
%_K4srv/amarok-data-engine-*.desktop
%_K4srv/amarok_collection-sqlcollection.desktop
%_K4srv/amarok_service_*.desktop
%_K4srv/amaroklastfm.protocol
%_K4srvtyp/amarok_codecinstall.desktop
#%_K4srvtyp/amarok_containment.desktop
%_K4srvtyp/amarok_context_applet.desktop
%_K4srvtyp/amarok_data_engine.desktop
%_K4srvtyp/amarok_plugin.desktop
#
%_K4cfg/amarokconfig.kcfg
%_K4conf/amarok.knsrc
%_K4conf/amarok_homerc
#
%_K4lib/libamarok_collection-daapcollection.so
%_K4srv/amarok_collection-daapcollection.desktop
#
%_K4lib/libamarok_collection-ipodcollection.so
%_K4srv/amarok_collection-ipodcollection.desktop
#
%_K4lib/libamarok_collection-mtpcollection.so
%_K4srv/amarok_collection-mtpcollection.desktop
#
%_K4lib/libamarok_massstorage-device.so
%_K4srv/amarok_massstorage-device.desktop


%changelog
* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 2.1.1-alt0.M50.1
- built for M50

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 2.1.1-alt1
- 2.1.1 release

* Tue Jun 09 2009 Sergey V Turchin <zerg@altlinux.org> 2.1-alt2
- add requires to Qt sqlite driver

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 2.1-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 2.1-alt1
- 2.1 release

* Fri May 15 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.96-alt1
- 2.1 beta2

* Wed Apr 15 2009 Sergey V Turchin <zerg@altlinux.org> 2.0.90-alt1
- 2.1 beta1

* Fri Mar 20 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0.60-alt0.0.941520
- svn 941520

* Fri Mar 06 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt1
- new version

* Mon Jan 12 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0.1.1-alt1
- new version

* Thu Dec 18 2008 Sergey V Turchin <zerg at altlinux dot org> 2.0-alt1
- release 2.0

* Thu Feb 14 2008 Sergey V Turchin <zerg at altlinux dot org> 1.80-alt0.0.1
- 1.80 test
